SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000917SiT!contractspublic2009-08-28 14:132009-10-15 21:56
Reporterdavidsteward 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000917: Service start and end date display bug in contract_details.php page
DescriptionDefault service created when creating a new contract with start date A and end date B, shows as having a startdate B and enddate as 0.00.

I think the fields are just connected up wrong, as when i click 'edit service' the start and end dates show as A and B as expected
TagsNo tags attached.
Attached Files

- Relationships
related to 0000943closedivan branch3 editing a service - dates are not the same as on contract page 

-  Notes
User avatar (0001904)
paulh (administrator)
2009-09-07 19:25

Confirmed this happens with the latest 3.x code.

This happens on NON timed contracts, the start date column shows the end date and the end date shows the amount of the service so £0.00, the amount field does not show for non timed contracts
User avatar (0001905)
paulh (administrator)
2009-09-07 19:25

This shouldn't be a difficult fix, would be good to get in for 3.5 to save confusion
User avatar (0001915)
paulh (administrator)
2009-09-08 11:15

r5849 of 3.x branch resolves this and r5850 fixes it in trunk

- Issue History
Date Modified Username Field Change
2009-08-28 14:13 davidsteward New Issue
2009-09-07 19:25 paulh Note Added: 0001904
2009-09-07 19:25 paulh Status new => confirmed
2009-09-07 19:25 paulh Note Added: 0001905
2009-09-07 19:25 paulh Target Version => 3.50
2009-09-08 11:15 paulh Note Added: 0001915
2009-09-08 11:15 paulh Assigned To => paulh
2009-09-08 11:15 paulh Status confirmed => resolved
2009-09-08 11:15 paulh Resolution open => fixed
2009-09-08 11:15 paulh Fixed in Version => Current SVN
2009-09-12 12:06 ivan Fixed in Version Current SVN => 3.50
2009-09-12 17:41 Tomse Relationship added related to 0000943
2009-10-15 21:56 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker